Create access group

Creates an access group.

Caution: Access groups were deprecated in Tenable Vulnerability Management on February 4th, 2022. Tenable recommends that customers use access control instead to manage user and group access to resources in Tenable Vulnerability Management. Please update any existing integrations that your organization has. For more information about access control, see Access Control in the Tenable Vulnerability Management User Guide.

Requires the Administrator [64] user role. See Roles.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The name of the access group you want to create. This name must be:

  • Unique within your Tenable Vulnerability Management instance.
  • A maximum of 255 characters.
  • Alphanumeric, but can include limited special characters (underscore, dash, parenthesis, brackets, colon).

Note: You can add a maximum of 5,000 access groups to an individual container.

boolean

This parameter must always be false or omitted from create requests to specify that the access group is a user-created group. If you submit a create request with this parameter set to true, the create request fails.

boolean

Specifies whether assets in the access group can be viewed by all or only some users in your organization:

  • If true, all users in your organization have Can View access to the assets defined in the rules parameter. Tenable Vulnerability Management ignores any principal parameters in your request.
  • If false, only specified users have Can View access to the assets defined in the rules parameter. You define which users or user groups have access in the principals parameter of the request.

If you omit this parameter, Tenable Vulnerability Management sets the parameter to false by default.

rules
array of objects
required

An array of asset rules. Tenable Vulnerability Management uses these rules to assign assets to the access group. You can specify a maximum of 1,000 rules for an individual access group. If you specify multiple rules for an access group, Tenable Vulnerability Management assigns an asset to the access group if the asset matches any of the rules. You can only add rules to access groups if the all_assets parameter is set to false.

rules*
principals
array of objects

An array of principals. Each principal represents a user or user group assigned to the access group. You cannot add an access group as a principal to another access group.

Tenable Vulnerability Management handles data in this array based on the all_users parameter of the request:

  • If all_users is true, Tenable Vulnerability Management ignores any principal data in the request. You can omit this parameter from the request.
  • If all_users is false, Tenable Vulnerability Management adds the principal data to the access group.
principals
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

400

Returned if Tenable Vulnerability Management encountered any of the following error conditions:

  • max_entries—your request exceeds the maximum number of 5,000 access groups.
  • duplicate—an access group with the name you specified already exists.
  • protected—you attempted to set the all_assets parameter to true, and you cannot create the system-provided access group, All Assets.
403

Returned if you do not have permission to create access groups.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/html